List saved searches
curl --request GET \
--url https://api.instantly.ai/api/v2/supersearch-enrichment/saved-searches \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/supersearch-enrichment/saved-searches"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/supersearch-enrichment/saved-searches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.instantly.ai/api/v2/supersearch-enrichment/saved-searches")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/supersearch-enrichment/saved-searches",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/supersearch-enrichment/saved-searches"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"id": "01a03ad3-2558-71f7-8a24-75c3baa3c5c2",
"name": "US fintech VPs",
"search_filters": {
"title": {
"include": [
"VP Sales"
],
"exclude": []
},
"locations": {
"include": [
{
"country": "United States"
}
],
"exclude": []
}
},
"organization_id": "01a03ad3-2558-71f7-8a24-75c3baa3c5c2",
"timestamp_created": "2026-08-25T21:28:31.320Z"
}
],
"next_starting_after": "01a03ad3-2558-71f7-8a24-75c3baa3c5c2"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}SuperSearch Enrichment
List saved searches
List the workspace’s saved SuperSearch queries, newest first.
Requires one of the following scopes: supersearch_enrichments:read, supersearch_enrichments:all, all:read, all:all
GET
/
api
/
v2
/
supersearch-enrichment
/
saved-searches
List saved searches
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Items per page
Required range:
1 <= x <= 100Example:
20
The ID of the last item in the previous page
Example:
"01a03ad3-2558-71f7-8a24-75c3baa3c5c2"
Filter by name (case-insensitive substring)
Example:
"fintech"
⌘I